# $Revision: 1.4.2.1 $, $Date: 2007/03/01 00:16:48 $
%include	/usr/lib/rpm/macros.php
%define		_class		XML
%define		_subclass	Query2XML
%define		_status		stable
%define		_pearname	XML_Query2XML

Summary:	%{_pearname} - Creates XML data from SQL queries
Summary(pl):	%{_pearname} - Tworzenie danych XML na podstawie zapyta SQL
Name:		php-pear-%{_pearname}
Version:	1.1.0
Release:	1
Epoch:		0
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	82811224b5c427242a233e7a621e51d8
URL:		http://pear.php.net/package/XML_Query2XML/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:5.0.0
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(DB.*)' 'pear(MDB2.*)' 'pear(I18N/UnicodeString.*)'

%description
XML_Query2XML allows you to transform the records retrieved with one
or more SQL SELECT queries into XML data. Very simple to highly
complex transformations are supported. Is was written with performance
in mind and can handle large amounts of data. No XSLT needed!

Major features:
- XML_Query2XML works with the classes provided by PHP5's DOM XML
  extension
- minimum effort necessary to get the simple jobs done
- highly configurable for more complex tasks
- ISO/IEC 9075-14:2005 support: mapping of SQL identifiers to XML
  names
- works with any database that is supported by PEAR DB or PEAR MDB2
- debugging and logging features
- provides profiling features
- in-depth documentation: tutorials and API documentation
- Eight case studies: from very simple to highly complex scenarios
- 168 unit tests for PHPUnit2

In PEAR status of this package is: %{_status}.

%description -l pl
XML_Query2XML pozwala na przetworzenie rekordw uzyskanych z jednego
lub wicej zapyta SQL SELECT na dane XML. Wspierane s rne rodzaje
transformacji - od prostych do bardzo zoonych. Pakiet zosta
napisany z myl o wydajnoci - moe obsuy due iloci danych. XSLT
nie jest potrzebne!

Gwne cechy:
- XML_Query2XML wsppracuje z klasami dostarczonymi przez
  rozszerzenie DOM XML PHP5,
- do prostych zada potrzebny jest minimalny nakad si,
- wysoce konfigurowalny dla zoonych zada,
- wsparcie dla ISO/IEC 9075-14:2005: mapowanie identyfikatorw SQL do
  nazw XML,
- wsppracuje z bazami danych wspieranymi przez PEAR DB lub PEAR
  MDB2,
- moliwo 'odpluskwiania' i logowania,
- dostarcza moliwo profilowania,
- rozbudowana dokumentacja: przewodnik oraz opis API,
- osiem studiw przypadku: od prostych do bardzo zoonych
  scenariuszy,
- 168 testw dla PHPUnit2.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/XML/Query2XML.php
%dir %{php_pear_dir}/XML/Query2XML
%{php_pear_dir}/XML/Query2XML/Callback.php
%{php_pear_dir}/XML/Query2XML/ISO9075Mapper.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/XML_Query2XML

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-XML_Query2XML.spec,v $
Revision 1.4.2.1  2007/03/01 00:16:48  glen
- 1.1.0

Revision 1.4  2006/12/26 13:09:54  adamg
- updated to 1.0.0

Revision 1.3  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.2  2006/04/29 12:35:39  qboosh
- missing dirs, typos, explicit Epoch (used in -tests)

Revision 1.1  2006/04/24 09:06:32  adamg
- new
